"The Server you are trying to join is using an older version of the game"

Ever since the big TF2 update-Fuck-Up my SRCDS Dedicated Server is out of date and I can’t seem to join it - along with everyone else. Anyone know how to fix this issue? I’m running on Windows not Linux.

Update?

yeh

He’s trying to say, “update your server if you haven’t”.